Eclipse Kura - 5.3.0 - May 2023
-------------------------------------------------------------------------------------------------
Description:
This minor release of Eclipse Kura, compatible with Java 8 and OSGi R7, introduces a new framework compatibility with Java 17, 
a completely renewed networking that leverages Linux NetworkManager, a new set of APIs and abstractions for SQL and noSQL databases, 
the availability of SQLite as a database option (H2 still available for compatibility reasons), 
an improved Container Management feature with UDP ports support, a refreshed Asset implementation with the new data publishing on change and, finally, 
the new Kura Data Service Connection Policy.


Features:
  * 85d1a18a7b - Improve the graph load time by reducing calls to bundleContext [backport release-5.3.0] (#4575) (github-actions[bot])
  * 676648c2fd - [dnsmasq] support for multiple DHCP server interfaces [backport release-5.3.0] (#4561) (github-actions[bot])
  * fd82998f20 - [position] changed metatype default provider to gpsd [backport release-5.3.0] (#4557) (github-actions[bot])
  * 5d75fe951c - [nm] add firewall NAT rules update on configuration change [backport release-5.3.0] (#4538) (github-actions[bot])
  * c28fa29a57 - [nm] add modem reset support [backport release-5.3.0] (#4523) (github-actions[bot])
  * bb2c0daae3 - Added db.defrag.enabled and db.wal.checkpoint.enabled fields. [Backport] (#4500) (Matteo Maiero)
  * 5743b23ee4 - [dhcp-server] added dnsmasq support [Backport] (#4498) (Matteo Maiero)
  * 7a54e07345 - First implementation of NetworkStatusService REST APIs (#4461) (nicolatimeus)
  * 94c91459b4 - [nm] add GPS enable/disable support (#4476) (Mattia Dal Ben)
  * 287c648ed3 - [web2] added automatic channel selection support for WiFi on net2 (#4448) (Marcello Rinaldo Martina)
  * 49d7b45b60 - [nm] add basic modem configuration support (#4453) (Mattia Dal Ben)
  * 943698208d - [api] Added new KeyValueDbService API. (#4449) (Salvatore Coppola)
  * 393d66ade3 - [nm] add automatic band selection support (#4454) (Mattia Dal Ben)
  * 11f868c636 - [nm] NetworkStatusService implementation for modems (#4457) (Pierantonio Merlino)
  * d52adb481d - new Message Store connection listener (#4435) (Salvatore Coppola)
  * 0ba65f00da - [distrib] added generic x86_64 profile (#4451) (Marcello Rinaldo Martina)
  * a4bb91bccf - [web2] Radio Mode is replaced by Band when using NetworkManager (#4440) (Marcello Rinaldo Martina)
  * fe5931e9e1 - [nm] add configuration enforcement (#4434) (Mattia Dal Ben)
  * 6489316a90 - Added option to delete database files on failure in SQLite (#4432) (nicolatimeus)
  * bec0f93e34 - [web2] added WiFi channels and Country Code support (#4417) (Marcello Rinaldo Martina)
  * fccbaad329 - Generic profile for aarch64 devices (#4428) (Matteo Maiero)
  * 524fc321f9 - [distrib] added customize-installation script for generic profiles (#4430) (Marcello Rinaldo Martina)
  * c65a7aac7f - Added options for SQLite encryption extensions (#4421) (nicolatimeus)
  * ee4935a4c8 - [nm] added support for UInt32 conversion for NMDeviceState and NMDeviceType (#4414) (G_Ivo)
  * 8495981fa7 - [nm] Wifi status retrieval support for New Kura Networking (#4406) (Mattia Dal Ben)
  * 6569fc54e1 - [api] New Network Status Service APIs (#4378) (Pierantonio Merlino)
  * 63646faefe - Updated OPC-UA driver to support Milo 0.6.8 (Nicola Timeus)
  * d04ae9e255 - [wire.CloudPublisher] Set as body a property removing it from metrics (#4328) (Marco Matteo Buzzulini)
  * 0e2a9be848 - [nm] added network failover 'route-metric' (#4381) (Marcello Rinaldo Martina)
  * 367df1413f - NetworkManager DBus integration (#4363) (Mattia Dal Ben)
  * dc9e6cf0a1 - [web2] UI support for network failover (#4373) (Marcello Rinaldo Martina)
  * 9e37484295 - New Kura Networking (#4326) (Pierantonio Merlino)
  * 2b609f510a - Implemented new Db APIs for SQLite (#4348) (nicolatimeus)
  * 0bc77973e3 - partial GWT support for network status service (#4355) (Marcello Rinaldo Martina)
  * 7b290c6647 - [web2] Updated web2 for the new network service (#4353) (Pierantonio Merlino)
  * f5a518baad - [api] NetworkStatusService API (#4344) (Pierantonio Merlino)
  * 036eb3a471 - First drop of storage APIs for DataService and Wires (#4330) (nicolatimeus)
  * bcf6744c63 - First implementation of Sqlite DB service (#4311) (nicolatimeus)
  * 1bbe27909c - high-prority messages cause re-connect (#4298) (G_Ivo)
  * 68c5cad63c - added wire.script.tools (#4286) (G_Ivo)
  * 123cac7053 - add Java 17 support (#4206) (Marcello Rinaldo Martina)
  * 93693a3ead - Added WireAsset option for emitting values only on change (#4213) (nicolatimeus)
  * 9f9db22bfe - added modem holdoff parameter (#4224) (Matteo Maiero)
  * 523716e808 - added support for container state in inventory API (#4221) (G_Ivo)
  * a195db2e3a - Added connection schedule support to DataService  (#4203) (nicolatimeus)
  * 7118dd694a - support diffrent internet protocols when configuring ports (#4187) (G_Ivo)
  * 79589e791b - add Temurin JDK as alternative JVM in .deb dependencies (#4190) (Mattia Dal Ben)

Target Environments:
 Kura is released as pre-compiled binary installers for the following platforms:

  * Raspberry Pi 2/3/4 based on Raspberry Pi OS (32 bits) (Kura networking)
  * Raspberry Pi 3/4 based on 64 bits OS (Kura networking)
  * Intel Up Squared board running Ubuntu 20.04 (Kura networking)
  * Nvidia Jetson Nano board running Ubuntu 18 (Kura networking)
  * Generic Debian Package for x86_64 (NetworkManager)
  * Generic Debian Package for arm32 (NetworkManager)
  * Generic Debian Package for arm64 (NetworkManager)

 Kura is also available as a pre-built Docker container for Ubi 8 and Alpine

Bug Fixes:
  * 4d9f51002c - [core.deployment] dpa.properties is written even if package is already in persistence [backport release-5.3.0] (#4692) (github-actions[bot])
  * 648c46ad01 - [nm] Added convertion between interfaceId and interfaceName in firewall co… [backport release-5.3.0] (#4691) (github-actions[bot])
  * 0364abd2d0 - Removed deprecated named options [backport release-5.3.0] (#4687) (github-actions[bot])
  * 868ebaf455 - Updated named apparmor profile to include /usr/share/dns [backport release-5.3.0] (#4686) (github-actions[bot])
  * 0187d76968 - Wrong PKCS11KeystoreServiceImpl bind methods [backport release-5.3.0] (#4681) (Matteo Maiero)
  * 4177eb32c6 - Prevented ifup-local from writing duplicate DNS entries [backport release-5.3.0] (#4679) (github-actions[bot])
  * e4fd319e34 - porting of fixes for the dns management [backport release-5.3.0] (#4678) (github-actions[bot])
  * b1dd6190c0 - Improved the way netplan is disabled on Kura install [backport release-5.3.0] (#4669) (github-actions[bot])
  * 9cc78f6897 - [nm] actually delete connection upon device disconnection [backport release-5.3.0] (#4672) (github-actions[bot])
  * eb0840823e - [web2] save configured wifi channel in GWT interface [backport release-5.3.0] (#4667) (github-actions[bot])
  * dc4577e7c8 - wan priority description defaults. [backport release-5.3.0] (#4668) (github-actions[bot])
  * 9323ea83f5 - [web2] Added missing wifi password content check. [backport release-5.3.0] (#4658) (github-actions[bot])
  * 3995058aa5 - [web2] DHCP renew button is now disabled except in WAN/LAN mode using dhcp [backport release-5.3.0] (#4659) (github-actions[bot])
  * 3ccb9fac87 - Do not remove interface address while dhclient is running [backport release-5.3.0] (#4647) (github-actions[bot])
  * a23b6965d5 - [distrib] aligned disabled services on all kura-network installers [backport release-5.3.0] (#4646) (github-actions[bot])
  * 98d4df3b58 - [nm] use UNMANAGED location source [backport release-5.3.0] (#4642) (github-actions[bot])
  * 1db527c374 - [web2] GPS modem config is done independently of set IP status [backport release-5.3.0] (#4640) (github-actions[bot])
  * d271bb9228 - [distrib] add named.rfc file to apparmor exceptions [backport release-5.3.0] (#4634) (github-actions[bot])
  * 039b047031 - Disabled dhcpcd service for generic platform. [backport release-5.3.0] (#4632) (github-actions[bot])
  * 95c03be77d - [web2] fixed authType and pdpType enums conversion on net2 [backport release-5.3.0] (#4622) (github-actions[bot])
  * f221cb137e - [installer] Added missing named files in generic installers [backport release-5.3.0] (#4621) (github-actions[bot])
  * 68d788fe31 - [monitor.dns-server] added check for interface as LAN before starting DNS server [backport release-5.3.0] (#4620) (github-actions[bot])
  * 9ad3c92180 - [dnsmasq] added protections against wrong configurations [backport release-5.3.0] (#4619) (github-actions[bot])
  * 4db5765c56 - [nm] cannot configure ethernet interfaces if the cable is disconnected [backport release-5.3.0] (#4617) (github-actions[bot])
  * 29a5fbc8d4 - [distrib] disabled ntp-servers dhclient config for /etc/dhclient.conf and /etc/dhcp/dhclient.conf [backport release-5.3.0] (#4616) (github-actions[bot])
  * 343f11d7d2 - Fixed ScheduleStrategy shutdown [backport release-5.3.0] (#4611) (github-actions[bot])
  * cd4bb55b4e - [api] Modem SIM representation [backport release-5.3.0] (#4608) (github-actions[bot])
  * 0f1ea955cf - [core] Watchdog is not refreshed when connection to DB missing [backport release-5.3.0] (#4610) (github-actions[bot])
  * 6ae07476c0 - password escaping issue with wifi passwords [backport release-5.3.0] (#4605) (github-actions[bot])
  * 8b0fa0f486 - Ordering of channels when numbers are bigger than int [backport release-5.3.0] (#4603) (github-actions[bot])
  * cb5a3f4784 - [installer] comment configured interfaces in interfaces file [backport release-5.3.0] (#4599) (github-actions[bot])
  * 2c05cbab2d - [nm] Added legacy dns monitor to NetworkManager bundle [backport release-5.3.0] (#4590) (github-actions[bot])
  * 9c8c12609b - [linux.net] Replaced timestamp check for dnsmasq configuration files with a hash check. [backport release-5.3.0] (#4592) (github-actions[bot])
  * ad95dcf5f9 - [distrib] fix errors during network configuration on Jetson Nano [backport release-5.3.0] (#4593) (github-actions[bot])
  * 3f0f38a0fc - check if schedule is enabled before parsing [backport release-5.3.0] (#4586) (github-actions[bot])
  * 198d05af30 - [nm] Fix dns list wrongly split. [backport release-5.3.0] (#4578) (github-actions[bot])
  * 94b6ee5f6a - Do not write dnsmasq config for disabled interfaces [backport release-5.3.0] (#4577) (github-actions[bot])
  * 964e694d69 - [installer] Added dnsmasq default configuration file [backport release-5.3.0] (#4570) (github-actions[bot])
  * 1851ebbd6a - Perform defrag after SQLite rekey [backport release-5.3.0] (#4569) (github-actions[bot])
  * 0015e01305 - [installer] Added ModemManager enable command in install script [backport release-5.3.0] (#4566) (github-actions[bot])
  * 1d6e36ee96 - [web2] Replaced marketplace url with the updated https url (avoiding redirect). Updated Eclipse Marketplace certificate in the keystore.. [backport release-5.3.0] (#4560) (github-actions[bot])
  * 1dee359983 - [web2.server.net2] passwords for wifi infra, AP, and modem are saved as Password not as String [backport release-5.3.0] (#4559) (github-actions[bot])
  * 68dfc1a5a2 - [web2] networking passwords replaced with placeholder, and html escaping and unescaping  [backport release-5.3.0] (#4556) (github-actions[bot])
  * 2edd85767d - [web2] Fix cellular default values [backport release-5.3.0] (#4558) (github-actions[bot])
  * cfbd286278 - [web2.server.net2] wrong enum default leaves wireless interface as station [backport release-5.3.0] (#4555) (github-actions[bot])
  * 680a94ba2a - Allowed loading certificate chain in private key entry [backport release-5.3.0] (#4552) (github-actions[bot])
  * 8d7d2662f1 - [distrib] do not rename /etc/network/interface file on installation [backport release-5.3.0] (#4550) (github-actions[bot])
  * de404e93b5 - [nm.test] Fixed nm tests. [backport release-5.3.0] (#4546) (github-actions[bot])
  * a4081f80ed - [web2] Fixed fileCountMax. [backport release-5.3.0] (#4541) (github-actions[bot])
  * ef7e71517e - Fixed NetworkConfigurationService returning passwords as strings [backport release-5.3.0] (#4539) (github-actions[bot])
  * d7b952da0e - [nm] avoid error when `Modem.Location` interface is missing [backport release-5.3.0] (#4522) (github-actions[bot])
  * 78c40bfb70 - [nm] do not set `gsm.password` if property is empty [backport release-5.3.0] (#4521) (github-actions[bot])
  * d2469a0a47 - [nm] support for pass dns feature in dnsmasq [backport release-5.3.0] (#4519) (github-actions[bot])
  * 6888f56548 - [nm] added conversion from signal quality to signal strength [backport release-5.3.0] (#4510) (github-actions[bot])
  * 7be9f374b9 - [linux.net] dhcp server tool ordering [backport release-5.3.0] (#4511) (github-actions[bot])
  * 1d8cf87c8c - [distrib] let NetworkManager manage gsm type devices [backport release-5.3.0] (#4507) (github-actions[bot])
  * fa77118f1d - [nm] Settings leak on connection activation failure [Backport] (#4502) (Matteo Maiero)
  * 1293607a58 - Overriding NM unmanaged-devices policy  [Backport] (#4501) (Matteo Maiero)
  * ce63dc20d1 - Improved local image existence test with exact match [backport release-5.3.0] (#4499) (github-actions[bot])
  * b7d85c4635 - [distrib] manage netplan configuration on installation [backport release-5.3.0] (#4494) (github-actions[bot])
  * a8086cda1c - Fixed polkit rules (#4487) (Salvatore Coppola)
  * b9e78a08a9 - [core.crypto] UTF characters wrongly encoded/decoded with AES (#4482) (Salvatore Coppola)
  * 569cc2bd61 - [nm] apply configuration to all device even if one fails (#4479) (Salvatore Coppola)
  * 925b2c93b0 - [distrib] generic-aarch64 installer 'Description' field (#4488) (Mattia Dal Ben)
  * ac020c3830 - [nm] Refactor modem status implementation (#4484) (Pierantonio Merlino)
  * 7cf9fb8845 - Aligned raspberry pi 64bits NN profile name (#4478) (Matteo Maiero)
  * b93b2a54d8 - NM logging verbosity (#4466) (Matteo Maiero)
  * 0ef63cfc51 - Improved DataService validation (#4469) (nicolatimeus)
  * ecaf15dec4 - Minor OPC UA fixes (#4470) (nicolatimeus)
  * c63a79347b - Updated fileupload emulator launch (#4463) (Matteo Maiero)
  * 29c719f883 - [wire.script.tools] readding deps that were lost during graaljs downgrade (#4452) (Marcello Rinaldo Martina)
  * b8fd0d3444 - Fixed possible deadlock with SQLite (#4459) (nicolatimeus)
  * cc5e0295ca - [nm] prevent connection retries from triggering configuration enforcement mechanism (#4445) (Mattia Dal Ben)
  * 83a74dd663 - Manage Ubuntu cloud-init (#4450) (Matteo Maiero)
  * 43bafac0b9 - [nm] fix support for WPA2 in access point mode (#4455) (Matteo Maiero)
  * 4ccc70c140 - [web2] fixed radio modes 2.4/5GHz erratic band assignment on BGN and A (#4447) (Marcello Rinaldo Martina)
  * c167c7fdbf - Enhanched validation on SQLite encryption key field (#4442) (nicolatimeus)
  * 963abdbf1a - Updated polkit policy to allow kura to manage chrony (#4439) (Matteo Maiero)
  * 931f7798f7 - [nm] crash on HwAddress retrieval for NM versions <1.24 (#4438) (G_Ivo)
  * 40f9fef6f6 - Use autoincrement for Sqlite WireRecordStore ID column (#4436) (nicolatimeus)
  * 8675f05c6e - [nm] data race on status retrieval after configuration apply (#4422) (Mattia Dal Ben)
  * 0cad57c76d - Extract sqlite native lib in bundle storage area (#4429) (nicolatimeus)
  * 8e49a9a618 - Simplified SQLite db service factory pid (#4424) (nicolatimeus)
  * 1abec3bcef - Fixed unwanted inclusion of sqlite-jdbc jar in distrib (#4426) (nicolatimeus)
  * 9f40541a8f - [nm] avoid error on unavailable/corrupt MAC address (#4427) (Mattia Dal Ben)
  * 053d4cd494 - [nm] return correct ActiveAccessPoint regardless of mode (#4420) (Mattia Dal Ben)
  * 3960a16614 - [nm] handle empty "Gateway" property correctly (#4419) (Mattia Dal Ben)
  * 5eefad97a8 - readded python script (Marcello Martina)
  * 435ae96728 - removed python script (Marcello Martina)
  * 91f89a6221 - Applied rest logging sanitization (#4395) (Matteo Maiero)
  * fdc5994b96 - removed BOM after processing file with python script, removed net/interfaces at installation, rearranged installer steps (Marcello Martina)
  * da9331ecfd - changed encoding to utf-8 (Marcello Martina)
  * bf67657886 - support only python3, fixed substitutions (Marcello Martina)
  * 340740dd36 - decoding file-wise, not only at read (Marcello Martina)
  * 21a7148da1 - enabled firewall service after setup (Marcello Martina)
  * 4074e6e4c4 - [nm] Fixed plug of new network devices (#4407) (Pierantonio Merlino)
  * a5d18de25a - [api] Added missing wifi capabilities (#4413) (Pierantonio Merlino)
  * 06d78ff17b - [net.configuration] Updated pppNum property definition to integer (#4411) (Pierantonio Merlino)
  * 02170961c2 - [nm] Fix gateway setting in dhcp mode (#4397) (Pierantonio Merlino)
  * f1ca6183b7 - updated data service documentation link (#4393) (Matteo Maiero)
  * 29bf12d786 - [web2] Fixed typo in wifi master/infra configuration (#4396) (Pierantonio Merlino)
  * ba9da64af7 - OS indipendent paths in suppression file (#4394) (Mattia Dal Ben)
  * e8a2ac2b8f - [web2] construct the net properties from scratch instead of using old data (#4386) (Marcello Rinaldo Martina)
  * bf8d65a388 - correct behaviour for `netIPvXStatusUnmanaged` (#4387) (Mattia Dal Ben)
  * e23a22fc10 - [web2] logic fixes on net config update (#4379) (Marcello Rinaldo Martina)
  * d338003247 - [web2] apply button dirty on modified priority (#4375) (Marcello Rinaldo Martina)
  * 047d0a798e - Use 0..1 cardinality for store reference in db wire components (#4372) (nicolatimeus)
  * 559cabf5dd - [web2] Set net.admin optional dependency in web2 (#4367) (Pierantonio Merlino)
  * 06a72b2819 - [net.configuration] Added missing ADs in getDefinition method (#4364) (Pierantonio Merlino)
  * 800a71e05d - NPE on some properties, allowed status properties for unconfigured interfaces (#4362) (Marcello Rinaldo Martina)
  * fd15511f87 - Fixed kura archetype-metadata (#4341) (Luca iaconissi)
  * 1a5a28bce4 - [web.server] Fixed wrong GwtCloudConnectionServiceImpl logger class (#4358) (Salvatore Coppola)
  * 23efc98e2a - [core] disabling connect auto on startup in data service terminates active cloud connection (#4347) (G_Ivo)
  * 30034d7332 - [container] Fixed start scripts. (#4336) (Salvatore Coppola)
  * c609fe8830 - Moved message store capacity management to DataService (#4342) (nicolatimeus)
  * b9d5eda280 - Improved Modem PDP Context parsing (#4329) (Matteo Maiero)
  * 118242173d - updated netty dependancies, fixed illegal netty internal usage (#4321) (G_Ivo)
  * 5aa58760eb - Modules java.lang and java.util are not available with the jvm 17. (#4327) (Salvatore Coppola)
  * 874765cecc - [core] Fixed a possible security hot-spot in the DataserviceImpl (#4325) (Salvatore Coppola)
  * 7801bfdf4a - [core] Fix ssl still active after change keystore in SSLServiceManager (#4324) (Salvatore Coppola)
  * 0f580c6b3f - changed decrypt passwords to false (#4317) (G_Ivo)
  * b8692bed07 - updated target-platform to use newer version of protobuf (#4319) (G_Ivo)
  * 958938b65c - [wire.script.filter.provider] Fixed ScriptFilter description breaking metatype xml. (#4323) (Salvatore Coppola)
  * 6030dea82f - missing reported bundle signature status in cloud requests (#4318) (Matteo Maiero)
  * 36486ebdfb - asset page refreshes after deletion (#4315) (G_Ivo)
  * a6c585f581 - issue when instantiating a wire component with the same name as a deleted one (#4314) (G_Ivo)
  * ab5810c6db - [wire.component.provider] Removed non-existent unbindWireHelperService reference. (#4313) (Salvatore Coppola)
  * b76d8384e9 - [web2] non-clickable dialogs in login page after GWT upgrade (#4306) (Mattia Dal Ben)
  * 11f5ed0007 - web UI bug where invalid component could not be deleted. (#4310) (G_Ivo)
  * 3b61720bfb - [docker] use Java8 toolchain in Docker Ubi8 build (#4303) (Mattia Dal Ben)
  * 095aa5d281 - restrict Nashorn components to supported jre (#4293) (Marcello Rinaldo Martina)
  * 2539acd9a1 - wire can be instantiated again after being deleted (#4290) (G_Ivo)
  * faff74df2d - Fixed CSV upload in wires composer (#4283) (nicolatimeus)
  * fddc27126e - Fixed description not shown in cloudconnections ui (#4229) (nicolatimeus)
  * c72c95aae7 - updated eclipse marketplace certificate (#4250) (G_Ivo)
  * 413cb56c7e - [core.data.store] allow storing null payloads (#4247) (Marcello Rinaldo Martina)
  * adcf5b813a - Filter out modified.interface.names property (#4242) (nicolatimeus)
  * 9947fed5f3 - network configuration not updating on Jetson Nano (#4241) (Mattia Dal Ben)
  * 03caefbc46 - Improved UI modem persist message (#4232) (Matteo Maiero)
  * 1b687ad549 - Prevent discarding of NetworkConfigurationService properties (#4218) (nicolatimeus)
  * f7aa5caef0 - removed deprecated usages from inventory (#4220) (G_Ivo)
  * a2183c3736 - [core.deployment] prevent unnecessary modifications inside the packages folder. (#4016) (Andrej Krota)
  * 6b7481cc1c - failing Ubi8-based Docker image build (#4208) (Mattia Dal Ben)
  * 4d39518b79 - [core] Resolved database memory leak (#4199) (Salvatore Coppola)
  * 8be4d1b4fe - found typo in ssl service (#4195) (G_Ivo)
  * 06d37fc2d8 - Improved handling of floating point values in KuraPayload JSON encoding (#4177) (nicolatimeus)
  * 58b66d8754 - Removed internal usage of ConnectionInfo (#4189) (nicolatimeus)
  * 9c52079286 - [linux.net] Fix dns server configuration (#4172) (Pierantonio Merlino)
  * 6ca9b2181e - [log.filesystem.provider] prevent EOF ending incomplete lines and refactor of parser (#4144) (Marcello Rinaldo Martina)
  * 41cfb5d2f4 - [distrib] Aligned snapshot_0.xml with iptables.init  in Intel UP2 profile. (#4136) (Salvatore Coppola)
  * 120114fbd3 - org.eclipse.kura.core.net exported version internal API (#4131) (Matteo Maiero)
  * db7a131e72 - [core.configuration] default values of metatype are always splitted in array before parsing (#4128) (Marcello Rinaldo Martina)
  * e95926492a - PPP interface number wrongly set (#4125) (Matteo Maiero)
  * 462a3577be - [distrib] Added missing dns & dhcp ports to the default firewall configuration (#4123) (Salvatore Coppola)
  * d7a7abf5c4 - [ai.triton.server] Added grpc channel termination waiting (#4122) (Salvatore Coppola)
  * bc5f6c3c74 - Fixed SSLManager service truststore unset method (#4118) (nicolatimeus)
  * 779be45f9b - added missing db dependency in dev-env (#4115) (Matteo Maiero)

Deprecated APIs/components:
  * 583774b710 - org.eclipse.kura.wire.component.conditional.provider (#4296) (Marcello Rinaldo Martina)
  * be1ea00c87 - org.eclipse.kura.wire.script.filter.provider (#4295) (Marcello Rinaldo Martina)
  * c5d594cfd6 - deprecated set&getPortsExternal&Internal in ContainerConfiguration & ContainerInstanceDescriptor (#4196) (G_Ivo)

Target Platform Updates:
  * 3fe8916ea8 - bump tensorflow from 2.9.3 to 2.11.1 in /kura/examples/scenarios/org.eclipse.kura.example.ai/training (#4489) (dependabot[bot])
  * b6179945b7 - adding missing resources for other supported boards (#4483) (Marcello Rinaldo Martina)
  * 0ef6cb5022 - added complete list of dependencies (#4475) (Marcello Rinaldo Martina)
  * 070d46b678 - Updated Apache Fileupload to v1.5.0 (#4458) (Matteo Maiero)
  * 91352b4701 - refactor of generic installers (#4437) (Marcello Rinaldo Martina)
  * b05facf244 - Commit ignored files to fix Docker  (#4400) (G_Ivo)
  * ef4e4c7334 - removed python2 dependency from recommends (Marcello Martina)
  * d9b5a14417 - /etc/network/interfaces backup at installation (Marcello Martina)
  * 9eb2fc13fa - install of jdk.dio.properties is moved in commons (Marcello Martina)
  * 97b5c5f144 - snapshot_0.xml has loopback as unmanaged (Marcello Martina)
  * 5ea485ad40 - added iw dependency (Marcello Martina)
  * 5be706310e - customized kura.properties, rearranged execution order (Marcello Martina)
  * 21ad9f322b - added jdk.dio.properties customization based on detected board (Marcello Martina)
  * 02941f2da0 - removed raspberry-specific dependencies (Marcello Martina)
  * fbe13779c6 - moved network manager conf file to commons, enhancements to the install script (Marcello Martina)
  * f4259f6d4b - rearranged dependencies, added bind9, and recommended deps (Marcello Martina)
  * f2cbd25d45 - added generic-arm32 profile (Marcello Martina)
  * de3a222e8f - removed disabling of NTP IP assignments by dhcp server, since managed by NetworkManager (Marcello Martina)
  * a3d25d80f0 - added isc-dhcp-server dep (Marcello Martina)
  * 58902863d8 - python/python3 deps are optional (Marcello Martina)
  * 230f197b7a - added python script to replace correct ifnames in snapshot and firewall scripts (Marcello Martina)
  * 044c3f3458 - added connectivity section to NM conf file (Marcello Martina)
  * 4a441e7e2f - add autogen code for interfacing with ModemManager 1.14.12 over DBus (#4392) (Mattia Dal Ben)
  * 353dc16c93 - Embedded org.bouncycastle:bcutil-jdk18on:1.71 dependency (OPCUA driver) (Nicola Timeus)
  * a449ee2951 - update docker build process, to reduce container compile time (#4352) (G_Ivo)
  * fd0ffc18a5 - Embedded org.bouncycastle:bcprov-jdk18on:1.71 dependency (OPCUA driver) (Nicola Timeus)
  * e0beab9574 - Removed com.google.code.findbugs:jsr305:3.0.1 dependency (OPCUA driver) (Nicola Timeus)
  * b4762954d5 - Updated org.eclipse.milo stack-client, stack-core, sdk-client, sdk-core to 0.6.8 (OPCUA driver) (Nicola Timeus)
  * 9ca9db2475 - Removed org.jooq:jool:0.9.10 dependency (OPCUA driver) (Nicola Timeus)
  * 90beca7e20 - Added com.digitalpetri.fsm:strict-machine:0.6 dependency (OPCUA driver) (Nicola Timeus)
  * 7de28bd46e - Removed org.eclipse.milo:bsd-parser-gson:0.2.4 dependency (OPCUA driver) (Nicola Timeus)
  * 7106c06ce0 - Embedded org.bouncycastle:bcpkix-jdk18on:1.71 dependency (OPCUA driver) (Nicola Timeus)
  * 669b798b2b - Added com.digitalpetri.netty:netty-channel-fsm:0.8 dependency (OPCUA driver) (Nicola Timeus)
  * 5e1a40ae49 - Added com.google.guava:failureaccess:1.0 dependency (OPCUA driver) (Nicola Timeus)
  * 391ebafef1 - Embedded individual netty jars instead of netty-all (OPCUA driver) (Nicola Timeus)
  * 1ee455453f - Removed org.eclipse.milo:bsd-parser-core:0.2.4 dependency (OPCUA driver) (Nicola Timeus)
  * 3f01a29930 - Updated com.google.guava:guava to 31.0-jre (OPC-UA driver) (Nicola Timeus)
  * 3fe72365b6 - updated GraalVM dependency to mitigate CVE-2022-21476  (#4343) (G_Ivo)
  * 1c3e365cef - Updated tycho version from 3.0.0 to 3.0.1 (#4307) (Salvatore Coppola)
  * 9b5613af7e - added jre 17 as alternative dependencies (#4289) (Marcello Rinaldo Martina)
  * 994f87c8a6 - Bumped netty version to 4.1.82.Final. (#4251) (Salvatore Coppola)
  * ca17fc91c4 - added nashorn conditional component only on Java 8 builds, removed TODOs and refactor of some properties (#4291) (Marcello Rinaldo Martina)
  * ef25b1a830 - updated slf4j 1.7.32 -> 1.7.36 (Marcello Martina)
  * 6e8ca91f2c - updated GWT 2.8.2 -> 2.10.0, updated gwtbootstrap3 0.9.1 -> 1.0.1, removed IE support (Marcello Martina)
  * 4281fbf80d - updated log4j 2.17.1 -> 2.19.0 (Marcello Martina)
  * 0f3ea72fe9 - updated osgi.annotation 6.0.1 -> 8.1.0 (Marcello Martina)
  * 0d151c1da3 - updated Jetty 9.4.44.v20210927 -> 9.4.49.v20220914 (Marcello Martina)
  * c16768e519 - bump tensorflow from 2.8.1 to 2.9.3 in /kura/examples/scenarios/org.eclipse.kura.example.ai/training (#4260) (dependabot[bot])
  * fabe1e8a39 - Updated version of libsocket-can (#4148) (Pierantonio Merlino)
  * 1667355e11 - realigned raspberry pi package names to raspberry-pi-armhf and  raspberry-pi-arm64 (#4210) (G_Ivo)
  * f3123eaedb - bump tensorflow from 2.8.0 to 2.8.1 in /kura/examples/scenarios/org.eclipse.kura.example.ai/training (#4170) (dependabot[bot])
  * 4f6cd7d6df - Added hikaricp 2.7.9 (#4201) (nicolatimeus)
  * 23e2ff1214 - Added org.apache.servicemix.bundles.c3p0 0.9.5.5_1 (#4198) (nicolatimeus)

Known Issues:
  * The nvidia-jetson-nano installer disables FAN protocol support due to compatibility issues (see #4593)
  * The nvidia-jetson-nano doesn't support the Unprivileged Command Service (see #3598)
  * isc-dhcp-server fails upon first Kura installation on Raspberry Pi Bullseye. This is due to how the isc-dhcp-server installer package is
    built and run immediately after installation.
  * An update to the sslmanagerservice where the pid of the keystoreservice is updated can lead to an error in the following reconnection.
    The issue impact is limited, if the dataservice reconnect option is enabled.
  * The implementation of the CryptoService performs encryption using a
    password that is hardcoded and published.
  * Modem: Ublox Lisa U201 may not be able to establish PPP connection when CHAP/PAP authentication is required.
  * WiFi on Raspberry Pi 2 has only been tested with WiPi WiFi Dongle (Realink RT5370 chipset) and official Pi USB WiFi Dongle (Broadcom BCM43143 chipset).
    AccessPoint WiFi mode not working for Broadcom chipset.
  * Hardware watchdog: not implemented on all platforms
  * Only one WAN interface is currently supported with old networking. A warning in displayed
    in the WEB UI if the user attempts to enable more than one WAN interface
  * #4212: Wrong order of BIRTH/APPLICATION certificates for custom APP IDs registration
  * #3972: Topic name validation: issue with names containing "//" (Cloud Subscriber)
  * #4141: Sometimes user is not logged in after changing password
  * #3796: Server manager does not close properly
  * #3211: Kura Docker | Bluetooth error in log during starting service
  * #3005: Kura Gets Stuck in Loading View if Services Clicked Too Fast
  * #2843: Access Banner Content All in One Line
  * #2747: No Spacing Between "Wire Components" and Error in Wire Graph
  * #2728: WireGraph Component Description Windows Too Wide
  * #2725: Different Pop-up Windows for Warnings
  * #2702: Error Message For Long Item Names Not Displayed Properly
  * #2696: Component Name Inteferes With Wire Graph Border
  * #2695: Component Names in Wires Not Limited
  * #2410: Deployment handler and URLs with many query parameters
  * #2038: [Kura 3.2.0 QA] Package uninstallation log
  * #1993: Search Domains Are Not Supported
  * #1663: Authentication Issue with Deploy V2
  * #1572: serial modbus has errors on some hardware
  * #1529: OSGI console is not redirected to Eclipse IDE with Kura 3.0
  * #1161: Incorrectly configuring a component can be irreversable.
  * #1128: [Kura 3.0.0 M1 QA] Unable to delete manually added CamelFactory services
  * #1016: ConfigurationServiceImpl creates duplicate instances
  * #797:  Design of ServiceUtil is broken
  * #771:  Web UI fails with INTERNAL_ERROR when WireHelperService is not registered
  * #654:  Clean up static initialization around "modem" functionality
  * #645:  Clean up internal dependencies in Kura
  * #522:  [Net] Modem monitor should monitor interfaces, not modems
  * #486:  Build environment broken on Windows
  * #406:  Replace System.get* with calls to SystemService.getProperties
  * #329:  [DEPLOY-V2] Review/refactoring needed
  * #297:  [Status led] What connection instance controls the status led?
  * #253:  Check if bundle contexes correctly unget services after invoking getService
  * #222:  CloudConnectionStatusServiceImpl does not cancel workers on component deactivation

Changelog:
  * 4d9f51002c - fix(core.deployment): dpa.properties is written even if package is already in persistence [backport release-5.3.0] (#4692) (github-actions[bot])
  * 648c46ad01 - fix(nm): Added convertion between interfaceId and interfaceName in firewall co… [backport release-5.3.0] (#4691) (github-actions[bot])
  * 0364abd2d0 - fix: Removed deprecated named options [backport release-5.3.0] (#4687) (github-actions[bot])
  * 868ebaf455 - fix: Updated named apparmor profile to include /usr/share/dns [backport release-5.3.0] (#4686) (github-actions[bot])
  * 3508e8af27 - chore: updated Kura 5.3.0 release notes (#4683) (nicolatimeus)
  * 0187d76968 - fix: Wrong PKCS11KeystoreServiceImpl bind methods [backport release-5.3.0] (#4681) (Matteo Maiero)
  * 0319e6db9e - test(linux.net.dhcp.server): added `DnsmasqToolTest` and `DhcpdToolTest` [backport release-5.3.0] (#4680) (github-actions[bot])
  * 4177eb32c6 - fix: Prevented ifup-local from writing duplicate DNS entries [backport release-5.3.0] (#4679) (github-actions[bot])
  * e4fd319e34 - fix: porting of fixes for the dns management [backport release-5.3.0] (#4678) (github-actions[bot])
  * b1dd6190c0 - fix: Improved the way netplan is disabled on Kura install [backport release-5.3.0] (#4669) (github-actions[bot])
  * 9cc78f6897 - fix(nm): actually delete connection upon device disconnection [backport release-5.3.0] (#4672) (github-actions[bot])
  * eb0840823e - fix(web2): save configured wifi channel in GWT interface [backport release-5.3.0] (#4667) (github-actions[bot])
  * dc4577e7c8 - fix: wan priority description defaults. [backport release-5.3.0] (#4668) (github-actions[bot])
  * 9323ea83f5 - fix(web2): Added missing wifi password content check. [backport release-5.3.0] (#4658) (github-actions[bot])
  * 3995058aa5 - fix(web2): DHCP renew button is now disabled except in WAN/LAN mode using dhcp [backport release-5.3.0] (#4659) (github-actions[bot])
  * d2e015526a - docs(linux.clock): Added some notes on ntpd and chrony [backport release-5.3.0] (#4657) (github-actions[bot])
  * 3ccb9fac87 - fix: Do not remove interface address while dhclient is running [backport release-5.3.0] (#4647) (github-actions[bot])
  * a23b6965d5 - fix(distrib): aligned disabled services on all kura-network installers [backport release-5.3.0] (#4646) (github-actions[bot])
  * 98d4df3b58 - fix(nm): use UNMANAGED location source [backport release-5.3.0] (#4642) (github-actions[bot])
  * 1db527c374 - fix(web2): GPS modem config is done independently of set IP status [backport release-5.3.0] (#4640) (github-actions[bot])
  * d271bb9228 - fix(distrib): add named.rfc file to apparmor exceptions [backport release-5.3.0] (#4634) (github-actions[bot])
  * 039b047031 - fix: Disabled dhcpcd service for generic platform. [backport release-5.3.0] (#4632) (github-actions[bot])
  * ed071f058e - chore: add Kura 5.3.0 release notes (#4613) (github-actions[bot])
  * 95c03be77d - fix(web2): fixed authType and pdpType enums conversion on net2 [backport release-5.3.0] (#4622) (github-actions[bot])
  * f221cb137e - fix(installer): Added missing named files in generic installers [backport release-5.3.0] (#4621) (github-actions[bot])
  * 68d788fe31 - fix(monitor.dns-server): added check for interface as LAN before starting DNS server [backport release-5.3.0] (#4620) (github-actions[bot])
  * 9ad3c92180 - fix(dnsmasq): added protections against wrong configurations [backport release-5.3.0] (#4619) (github-actions[bot])
  * 4db5765c56 - fix(nm): cannot configure ethernet interfaces if the cable is disconnected [backport release-5.3.0] (#4617) (github-actions[bot])
  * 29a5fbc8d4 - fix(distrib): disabled ntp-servers dhclient config for /etc/dhclient.conf and /etc/dhcp/dhclient.conf [backport release-5.3.0] (#4616) (github-actions[bot])
  * 343f11d7d2 - fix: Fixed ScheduleStrategy shutdown [backport release-5.3.0] (#4611) (github-actions[bot])
  * cd4bb55b4e - fix(api): Modem SIM representation [backport release-5.3.0] (#4608) (github-actions[bot])
  * 0f1ea955cf - fix(core): Watchdog is not refreshed when connection to DB missing [backport release-5.3.0] (#4610) (github-actions[bot])
  * 6ae07476c0 - fix: password escaping issue with wifi passwords [backport release-5.3.0] (#4605) (github-actions[bot])
  * 8b0fa0f486 - fix: Ordering of channels when numbers are bigger than int [backport release-5.3.0] (#4603) (github-actions[bot])
  * cb5a3f4784 - fix(installer): comment configured interfaces in interfaces file [backport release-5.3.0] (#4599) (github-actions[bot])
  * 7594f57c02 - docs: Updated Oomph setup instructions [backport release-5.3.0] (#4594) (github-actions[bot])
  * 2c05cbab2d - fix(nm): Added legacy dns monitor to NetworkManager bundle [backport release-5.3.0] (#4590) (github-actions[bot])
  * 9c8c12609b - fix(linux.net): Replaced timestamp check for dnsmasq configuration files with a hash check. [backport release-5.3.0] (#4592) (github-actions[bot])
  * ad95dcf5f9 - fix(distrib): fix errors during network configuration on Jetson Nano [backport release-5.3.0] (#4593) (github-actions[bot])
  * 3f0f38a0fc - fix: check if schedule is enabled before parsing [backport release-5.3.0] (#4586) (github-actions[bot])
  * 198d05af30 - fix(nm): Fix dns list wrongly split. [backport release-5.3.0] (#4578) (github-actions[bot])
  * 94b6ee5f6a - fix: Do not write dnsmasq config for disabled interfaces [backport release-5.3.0] (#4577) (github-actions[bot])
  * 85d1a18a7b - feat: Improve the graph load time by reducing calls to bundleContext [backport release-5.3.0] (#4575) (github-actions[bot])
  * 964e694d69 - fix(installer): Added dnsmasq default configuration file [backport release-5.3.0] (#4570) (github-actions[bot])
  * 1851ebbd6a - fix: Perform defrag after SQLite rekey [backport release-5.3.0] (#4569) (github-actions[bot])
  * 0015e01305 - fix(installer): Added ModemManager enable command in install script [backport release-5.3.0] (#4566) (github-actions[bot])
  * 048b998f09 - chore: Modified NM configuration to use dhclient [backport release-5.3.0] (#4565) (github-actions[bot])
  * 676648c2fd - feat(dnsmasq): support for multiple DHCP server interfaces [backport release-5.3.0] (#4561) (github-actions[bot])
  * 1d6e36ee96 - fix(web2): Replaced marketplace url with the updated https url (avoiding redirect). Updated Eclipse Marketplace certificate in the keystore.. [backport release-5.3.0] (#4560) (github-actions[bot])
  * 1dee359983 - fix(web2.server.net2): passwords for wifi infra, AP, and modem are saved as Password not as String [backport release-5.3.0] (#4559) (github-actions[bot])
  * 68dfc1a5a2 - fix(web2):  networking passwords replaced with placeholder, and html escaping and unescaping  [backport release-5.3.0] (#4556) (github-actions[bot])
  * 2edd85767d - fix(web2): Fix cellular default values [backport release-5.3.0] (#4558) (github-actions[bot])
  * fd82998f20 - feat(position): changed metatype default provider to gpsd [backport release-5.3.0] (#4557) (github-actions[bot])
  * cfbd286278 - fix(web2.server.net2): wrong enum default leaves wireless interface as station [backport release-5.3.0] (#4555) (github-actions[bot])
  * 702d25e090 - refactor(web2): clean up ghost code [backport release-5.3.0] (#4554) (github-actions[bot])
  * 680a94ba2a - fix: Allowed loading certificate chain in private key entry [backport release-5.3.0] (#4552) (github-actions[bot])
  * 726f103c3c - refactor(nm): `org.eclipse.kura.nm` log cleanup/update [backport release-5.3.0] (#4551) (github-actions[bot])
  * 8d7d2662f1 - fix(distrib): do not rename /etc/network/interface file on installation [backport release-5.3.0] (#4550) (github-actions[bot])
  * de404e93b5 - fix(nm.test): Fixed nm tests. [backport release-5.3.0] (#4546) (github-actions[bot])
  * a4081f80ed - fix(web2): Fixed fileCountMax. [backport release-5.3.0] (#4541) (github-actions[bot])
  * ef7e71517e - fix: Fixed NetworkConfigurationService returning passwords as strings [backport release-5.3.0] (#4539) (github-actions[bot])
  * 95918ee50a - refactor(nm): NMDBusConnector class refactor [backport release-5.3.0] (#4542) (Pierantonio Merlino)
  * 5d75fe951c - feat(nm): add firewall NAT rules update on configuration change [backport release-5.3.0] (#4538) (github-actions[bot])
  * 6f7ec53aa4 - refactor(api): Changed id field to interfaceId in network APIs [backport release-5.3.0] (#4536) (github-actions[bot])
  * 74adf91cd9 - test(nm.configuration.writer): refactor and added tests dnsmasq cases for DhcpServerConfigWriter [backport release-5.3.0] (#4528) (github-actions[bot])
  * 2ef82bf536 - style(db.sqlite.provider): Fixed typos in metatype descriptions. [backport release-5.3.0] (#4526) (github-actions[bot])
  * c28fa29a57 - feat(nm): add modem reset support [backport release-5.3.0] (#4523) (github-actions[bot])
  * d7b952da0e - fix(nm): avoid error when `Modem.Location` interface is missing [backport release-5.3.0] (#4522) (github-actions[bot])
  * 78c40bfb70 - fix(nm): do not set `gsm.password` if property is empty [backport release-5.3.0] (#4521) (github-actions[bot])
  * d2469a0a47 - fix(nm): support for pass dns feature in dnsmasq [backport release-5.3.0] (#4519) (github-actions[bot])
  * 6888f56548 - fix(nm): added conversion from signal quality to signal strength [backport release-5.3.0] (#4510) (github-actions[bot])
  * 7be9f374b9 - fix(linux.net): dhcp server tool ordering [backport release-5.3.0] (#4511) (github-actions[bot])
  * 1d8cf87c8c - fix(distrib): let NetworkManager manage gsm type devices [backport release-5.3.0] (#4507) (github-actions[bot])
  * 9bda83c09b - chore: Add Kura 5.3.0 release notes (#4496) (nicolatimeus)
  * fa77118f1d - fix(nm): Settings leak on connection activation failure [Backport] (#4502) (Matteo Maiero)
  * 1293607a58 - fix: Overriding NM unmanaged-devices policy  [Backport] (#4501) (Matteo Maiero)
  * bb2c0daae3 - feat: Added db.defrag.enabled and db.wal.checkpoint.enabled fields. [Backport] (#4500) (Matteo Maiero)
  * ce63dc20d1 - fix: Improved local image existence test with exact match [backport release-5.3.0] (#4499) (github-actions[bot])
  * 5743b23ee4 - feat(dhcp-server): added dnsmasq support [Backport] (#4498) (Matteo Maiero)
  * 56800061a5 - chore: Updated libsocket-can-osgi version (#4495) (nicolatimeus)
  * b7d85c4635 - fix(distrib): manage netplan configuration on installation [backport release-5.3.0] (#4494) (github-actions[bot])
  * 98395f0fed - chore: Upticked versions for 5.3.0 release  (#4493) (nicolatimeus)
  * 3fe8916ea8 - build(deps): bump tensorflow from 2.9.3 to 2.11.1 in /kura/examples/scenarios/org.eclipse.kura.example.ai/training (#4489) (dependabot[bot])
  * a8086cda1c - fix: Fixed polkit rules (#4487) (Salvatore Coppola)
  * b9e78a08a9 - fix(core.crypto): UTF characters wrongly encoded/decoded with AES (#4482) (Salvatore Coppola)
  * 569cc2bd61 - fix(nm): apply configuration to all device even if one fails (#4479) (Salvatore Coppola)
  * 925b2c93b0 - fix(distrib): generic-aarch64 installer 'Description' field (#4488) (Mattia Dal Ben)
  * 7a54e07345 - feat: First implementation of NetworkStatusService REST APIs (#4461) (nicolatimeus)
  * 94c91459b4 - feat(nm): add GPS enable/disable support (#4476) (Mattia Dal Ben)
  * ac020c3830 - fix(nm): Refactor modem status implementation (#4484) (Pierantonio Merlino)
  * b6179945b7 - build(distrib): adding missing resources for other supported boards (#4483) (Marcello Rinaldo Martina)
  * 7cf9fb8845 - fix: Aligned raspberry pi 64bits NN profile name (#4478) (Matteo Maiero)
  * c2a676dc61 - style: Applied cleanup profile to new net status APIs (#4474) (Matteo Maiero)
  * cb5430aa83 - style: Applied cleanup profile to NM bundles (#4471) (Matteo Maiero)
  * 0ef6cb5022 - build(installers-deb): added complete list of dependencies (#4475) (Marcello Rinaldo Martina)
  * 44e8447ee7 - refactor(api): Added throw exception to NetworkStatusService APIs (#4467) (Pierantonio Merlino)
  * b93b2a54d8 - fix: NM logging verbosity (#4466) (Matteo Maiero)
  * 539915a2d6 - refactor(web2): hide verify wifi credentials button if net provider is network-manager (#4468) (Marcello Rinaldo Martina)
  * 0ef63cfc51 - fix: Improved DataService validation (#4469) (nicolatimeus)
  * ecaf15dec4 - fix: Minor OPC UA fixes (#4470) (nicolatimeus)
  * 1562df5b65 - refactor(api): updated NetworkStatusService and implementation to use the newly introduced device ID (#4462) (Pierantonio Merlino)
  * c63a79347b - fix: Updated fileupload emulator launch (#4463) (Matteo Maiero)
  * 91bc0195cf - docs: Updated notice file to reference the new Fileupload 1.5.0 (#4460) (Matteo Maiero)
  * 287c648ed3 - feat(web2): added automatic channel selection support for WiFi on net2 (#4448) (Marcello Rinaldo Martina)
  * 49d7b45b60 - feat(nm): add basic modem configuration support (#4453) (Mattia Dal Ben)
  * 070d46b678 - build: Updated Apache Fileupload to v1.5.0 (#4458) (Matteo Maiero)
  * 29c719f883 - fix(wire.script.tools): readding deps that were lost during graaljs downgrade (#4452) (Marcello Rinaldo Martina)
  * 943698208d - feat(api): Added new KeyValueDbService API. (#4449) (Salvatore Coppola)
  * b8fd0d3444 - fix: Fixed possible deadlock with SQLite (#4459) (nicolatimeus)
  * 393d66ade3 - feat(nm): add automatic band selection support (#4454) (Mattia Dal Ben)
  * cc5e0295ca - fix(nm): prevent connection retries from triggering configuration enforcement mechanism (#4445) (Mattia Dal Ben)
  * 11f868c636 - feat(nm): NetworkStatusService implementation for modems (#4457) (Pierantonio Merlino)
  * d52adb481d - feat: new Message Store connection listener (#4435) (Salvatore Coppola)
  * 04d3f581e9 - style(nm): added missing copyright headers (#4456) (Mattia Dal Ben)
  * 83a74dd663 - fix: Manage Ubuntu cloud-init (#4450) (Matteo Maiero)
  * 0ba65f00da - feat(distrib): added generic x86_64 profile (#4451) (Marcello Rinaldo Martina)
  * 43bafac0b9 - fix(nm): fix support for WPA2 in access point mode (#4455) (Matteo Maiero)
  * 11c90c9bf8 - refactor(WireHelperService): Catch case that service pid is an array. (#4390) (gnunzi)
  * 91352b4701 - build(distrib): refactor of generic installers (#4437) (Marcello Rinaldo Martina)
  * 4ccc70c140 - fix(web2): fixed radio modes 2.4/5GHz erratic band assignment on BGN and A (#4447) (Marcello Rinaldo Martina)
  * a4bb91bccf - feat(web2): Radio Mode is replaced by Band when using NetworkManager (#4440) (Marcello Rinaldo Martina)
  * 24093f6425 - chore: Removed legacy policy file (#4441) (Salvatore Coppola)
  * c167c7fdbf - fix: Enhanched validation on SQLite encryption key field (#4442) (nicolatimeus)
  * 963abdbf1a - fix: Updated polkit policy to allow kura to manage chrony (#4439) (Matteo Maiero)
  * 931f7798f7 - fix(nm): crash on HwAddress retrieval for NM versions <1.24 (#4438) (G_Ivo)
  * 40f9fef6f6 - fix: Use autoincrement for Sqlite WireRecordStore ID column (#4436) (nicolatimeus)
  * fe5931e9e1 - feat(nm): add configuration enforcement (#4434) (Mattia Dal Ben)
  * 8675f05c6e - fix(nm): data race on status retrieval after configuration apply (#4422) (Mattia Dal Ben)
  * 6489316a90 - feat: Added option to delete database files on failure in SQLite (#4432) (nicolatimeus)
  * c8cb0abf5c - test: added test coverage for NMDbusConnector (#4415) (G_Ivo)
  * bec0f93e34 - feat(web2): added WiFi channels and Country Code support (#4417) (Marcello Rinaldo Martina)
  * fccbaad329 - feat: Generic profile for aarch64 devices (#4428) (Matteo Maiero)
  * 0cad57c76d - fix: Extract sqlite native lib in bundle storage area (#4429) (nicolatimeus)
  * 524fc321f9 - feat(distrib): added customize-installation script for generic profiles (#4430) (Marcello Rinaldo Martina)
  * 8e49a9a618 - fix: Simplified SQLite db service factory pid (#4424) (nicolatimeus)
  * 1abec3bcef - fix: Fixed unwanted inclusion of sqlite-jdbc jar in distrib (#4426) (nicolatimeus)
  * f53b7a915d - refactor(api): use newly introduced WifiChannel data structure for reporting supported channels information (#4425) (Mattia Dal Ben)
  * 9f40541a8f - fix(nm): avoid error on unavailable/corrupt MAC address (#4427) (Mattia Dal Ben)
  * a09b6a9774 - refactor: Updated wire/message store helper classes to enable extension (#4401) (nicolatimeus)
  * 053d4cd494 - fix(nm): return correct ActiveAccessPoint regardless of mode (#4420) (Mattia Dal Ben)
  * 3960a16614 - fix(nm): handle empty "Gateway" property correctly (#4419) (Mattia Dal Ben)
  * 39777d4724 - chore: clean up older docker build system (#4402) (G_Ivo)
  * b05facf244 - build: Commit ignored files to fix Docker  (#4400) (G_Ivo)
  * c65a7aac7f - feat: Added options for SQLite encryption extensions (#4421) (nicolatimeus)
  * 3b4504f9bb - Merge pull request #4389 from marcellorinaldo/add-generic-arm32-profile (Matteo Maiero)
  * 5eefad97a8 - fix: readded python script (Marcello Martina)
  * 435ae96728 - fix: removed python script (Marcello Martina)
  * 91f89a6221 - fix: Applied rest logging sanitization (#4395) (Matteo Maiero)
  * 4bd490d9b6 - Merge pull request #4409 from eclipse/fix_firewall_messages (Matteo Maiero)
  * fdc5994b96 - fix: removed BOM after processing file with python script, removed net/interfaces at installation, rearranged installer steps (Marcello Martina)
  * ef4e4c7334 - build: removed python2 dependency from recommends (Marcello Martina)
  * e316a714b3 - style: added missing copyright headers (Marcello Martina)
  * e0daf14f45 - refactor: simplified find-net-interfaces.py (Marcello Martina)
  * da9331ecfd - fix: changed encoding to utf-8 (Marcello Martina)
  * d9b5a14417 - build: /etc/network/interfaces backup at installation (Marcello Martina)
  * cbce91de29 - style: updated copyright header (Marcello Martina)
  * bf67657886 - fix: support only python3, fixed substitutions (Marcello Martina)
  * 9eb2fc13fa - build: install of jdk.dio.properties is moved in commons (Marcello Martina)
  * 97b5c5f144 - build: snapshot_0.xml has loopback as unmanaged (Marcello Martina)
  * 5ea485ad40 - build: added iw dependency (Marcello Martina)
  * 5be706310e - build: customized kura.properties, rearranged execution order (Marcello Martina)
  * 4ccc76168c - refactor: updated default jdk.dio.properties files (Marcello Martina)
  * 4311ca4ed6 - style: changed error message (Marcello Martina)
  * 340740dd36 - fix: decoding file-wise, not only at read (Marcello Martina)
  * 2a2f44cb46 - refactor: refactor of find-net-interfaces, added check for python version in kura install (Marcello Martina)
  * 21ad9f322b - build: added jdk.dio.properties customization based on detected board (Marcello Martina)
  * 21a7148da1 - fix: enabled firewall service after setup (Marcello Martina)
  * 03e1c4aa00 - style: removed raspberry references in snapshot 0 (Marcello Martina)
  * 02941f2da0 - build: removed raspberry-specific dependencies (Marcello Martina)
  * fbe13779c6 - build: moved network manager conf file to commons, enhancements to the install script (Marcello Martina)
  * f4259f6d4b - build: rearranged dependencies, added bind9, and recommended deps (Marcello Martina)
  * f2cbd25d45 - build: added generic-arm32 profile (Marcello Martina)
  * de3a222e8f - build: removed disabling of NTP IP assignments by dhcp server, since managed by NetworkManager (Marcello Martina)
  * a3d25d80f0 - build: added isc-dhcp-server dep (Marcello Martina)
  * 58902863d8 - build: python/python3 deps are optional (Marcello Martina)
  * 230f197b7a - build: added python script to replace correct ifnames in snapshot and firewall scripts (Marcello Martina)
  * 044c3f3458 - build: added connectivity section to NM conf file (Marcello Martina)
  * 07c9883492 - ci: cancel running build if new one is started (#4416) (Mattia Dal Ben)
  * ee4935a4c8 - feat(nm): added support for UInt32 conversion for NMDeviceState and NMDeviceType (#4414) (G_Ivo)
  * 8495981fa7 - feat(nm): Wifi status retrieval support for New Kura Networking (#4406) (Mattia Dal Ben)
  * 4074e6e4c4 - fix(nm): Fixed plug of new network devices (#4407) (Pierantonio Merlino)
  * a5d18de25a - fix(api): Added missing wifi capabilities (#4413) (Pierantonio Merlino)
  * 06d78ff17b - fix(net.configuration): Updated pppNum property definition to integer (#4411) (Pierantonio Merlino)
  * ad5e365f24 - Removed entries in build.properties file (pierantoniomerlino)
  * 0c7bf2447c - Replaced net.admin messages with the net.configuration ones (pierantoniomerlino)
  * 4761495d41 - refactor(nm): Deleted NMDbusConnector close connection method (#4405) (Pierantonio Merlino)
  * 6569fc54e1 - feat(api): New Network Status Service APIs (#4378) (Pierantonio Merlino)
  * 02170961c2 - fix(nm): Fix gateway setting in dhcp mode (#4397) (Pierantonio Merlino)
  * 3e30c13239 - style(nm): apply Kura formatter to auto-generated classes (#4399) (Mattia Dal Ben)
  * 662be7e71c - Merge pull request #4398 from eclipse/remove_configuration_service (Matteo Maiero)
  * f1ca6183b7 - fix: updated data service documentation link (#4393) (Matteo Maiero)
  * 29bf12d786 - fix(web2): Fixed typo in wifi master/infra configuration (#4396) (Pierantonio Merlino)
  * 4a441e7e2f - build(nm): add autogen code for interfacing with ModemManager 1.14.12 over DBus (#4392) (Mattia Dal Ben)
  * e146ff1527 - Removed useless ConfigurationService dependency from nm (pierantoniomerlino)
  * db579173be - chore: updated supported versions (Matteo Maiero)
  * ba9da64af7 - fix: OS indipendent paths in suppression file (#4394) (Mattia Dal Ben)
  * 4001a3daf5 - Merge pull request #4374 from nicolatimeus/build_milo-0.6.8 (Matteo Maiero)
  * 63646faefe - feat: Updated OPC-UA driver to support Milo 0.6.8 (Nicola Timeus)
  * 353dc16c93 - build(deps): Embedded org.bouncycastle:bcutil-jdk18on:1.71 dependency (OPCUA driver) (Nicola Timeus)
  * d04ae9e255 - feat(wire.CloudPublisher): Set as body a property removing it from metrics (#4328) (Marco Matteo Buzzulini)
  * a449ee2951 - build: update docker build process, to reduce container compile time (#4352) (G_Ivo)
  * e8a2ac2b8f - fix(web2): construct the net properties from scratch instead of using old data (#4386) (Marcello Rinaldo Martina)
  * bf8d65a388 - fix: correct behaviour for `netIPvXStatusUnmanaged` (#4387) (Mattia Dal Ben)
  * 32f50adc50 - refactor(nm): improved support for loopback interface (#4383) (Mattia Dal Ben)
  * 0e2a9be848 - feat(nm): added network failover 'route-metric' (#4381) (Marcello Rinaldo Martina)
  * fd0ffc18a5 - build(deps): Embedded org.bouncycastle:bcprov-jdk18on:1.71 dependency (OPCUA driver) (Nicola Timeus)
  * e0beab9574 - build(deps): Removed com.google.code.findbugs:jsr305:3.0.1 dependency (OPCUA driver) (Nicola Timeus)
  * b4762954d5 - build(deps): Updated org.eclipse.milo stack-client, stack-core, sdk-client, sdk-core to 0.6.8 (OPCUA driver) (Nicola Timeus)
  * 9ca9db2475 - build(deps): Removed org.jooq:jool:0.9.10 dependency (OPCUA driver) (Nicola Timeus)
  * 90beca7e20 - build(deps): Added com.digitalpetri.fsm:strict-machine:0.6 dependency (OPCUA driver) (Nicola Timeus)
  * 7de28bd46e - build(deps): Removed org.eclipse.milo:bsd-parser-gson:0.2.4 dependency (OPCUA driver) (Nicola Timeus)
  * 7106c06ce0 - build(deps): Embedded org.bouncycastle:bcpkix-jdk18on:1.71 dependency (OPCUA driver) (Nicola Timeus)
  * 669b798b2b - build(deps): Added com.digitalpetri.netty:netty-channel-fsm:0.8 dependency (OPCUA driver) (Nicola Timeus)
  * 5e1a40ae49 - build(deps): Added com.google.guava:failureaccess:1.0 dependency (OPCUA driver) (Nicola Timeus)
  * 391ebafef1 - build(deps): Embedded individual netty jars instead of netty-all (OPCUA driver) (Nicola Timeus)
  * 1ee455453f - build(deps): Removed org.eclipse.milo:bsd-parser-core:0.2.4 dependency (OPCUA driver) (Nicola Timeus)
  * 3f01a29930 - build(deps): Updated com.google.guava:guava to 31.0-jre (OPC-UA driver) (Nicola Timeus)
  * 5cda36063b - chore: Updated notice file with nm dependencies (#4384) (Pierantonio Merlino)
  * 1262dc3f3b - test: Coverage for NMSettingConverter (#4380) (G_Ivo)
  * e23a22fc10 - fix(web2): logic fixes on net config update (#4379) (Marcello Rinaldo Martina)
  * 367df1413f - feat: NetworkManager DBus integration (#4363) (Mattia Dal Ben)
  * d338003247 - fix(web2): apply button dirty on modified priority (#4375) (Marcello Rinaldo Martina)
  * 3fe72365b6 - build: updated GraalVM dependency to mitigate CVE-2022-21476  (#4343) (G_Ivo)
  * 047d0a798e - fix: Use 0..1 cardinality for store reference in db wire components (#4372) (nicolatimeus)
  * dc9e6cf0a1 - feat(web2): UI support for network failover (#4373) (Marcello Rinaldo Martina)
  * 559cabf5dd - fix(web2): Set net.admin optional dependency in web2 (#4367) (Pierantonio Merlino)
  * 06a72b2819 - fix(net.configuration): Added missing ADs in getDefinition method (#4364) (Pierantonio Merlino)
  * 9e37484295 - feat: New Kura Networking (#4326) (Pierantonio Merlino)
  * 2b609f510a - feat: Implemented new Db APIs for SQLite (#4348) (nicolatimeus)
  * 800a71e05d - fix: NPE on some properties, allowed status properties for unconfigured interfaces (#4362) (Marcello Rinaldo Martina)
  * 0bc77973e3 - feat: partial GWT support for network status service (#4355) (Marcello Rinaldo Martina)
  * fd15511f87 - fix: Fixed kura archetype-metadata (#4341) (Luca iaconissi)
  * 1a5a28bce4 - fix(web.server): Fixed wrong GwtCloudConnectionServiceImpl logger class (#4358) (Salvatore Coppola)
  * 94034903b7 - refactor: FirewallConfigurationService in external bundle (#4354) (Pierantonio Merlino)
  * 7b290c6647 - feat(web2): Updated web2 for the new network service (#4353) (Pierantonio Merlino)
  * caca4f6974 - ci: Added quality gate refresh (#4308) (Matteo Maiero)
  * 23efc98e2a - fix(core): disabling connect auto on startup in data service terminates active cloud connection (#4347) (G_Ivo)
  * 30034d7332 - fix(container): Fixed start scripts. (#4336) (Salvatore Coppola)
  * f5a518baad - feat(api): NetworkStatusService API (#4344) (Pierantonio Merlino)
  * c609fe8830 - fix: Moved message store capacity management to DataService (#4342) (nicolatimeus)
  * 036eb3a471 - feat: First drop of storage APIs for DataService and Wires (#4330) (nicolatimeus)
  * b5a92dcaf6 - refactor(core.cloud): log error if Request ID is null (#4309) (gnunzi)
  * 87b25fc34d - perf(db.sqlite.provider): Replaced SQLiteConnectionPoolDataSource with HikariCP datasource. (#4335) (Salvatore Coppola)
  * b9d5eda280 - fix: Improved Modem PDP Context parsing (#4329) (Matteo Maiero)
  * 118242173d - fix: updated netty dependancies, fixed illegal netty internal usage (#4321) (G_Ivo)
  * 5aa58760eb - fix: Modules java.lang and java.util are not available with the jvm 17. (#4327) (Salvatore Coppola)
  * 874765cecc - fix(core): Fixed a possible security hot-spot in the DataserviceImpl (#4325) (Salvatore Coppola)
  * 7801bfdf4a - fix(core): Fix ssl still active after change keystore in SSLServiceManager (#4324) (Salvatore Coppola)
  * 0f580c6b3f - fix: changed decrypt passwords to false (#4317) (G_Ivo)
  * bcf6744c63 - feat: First implementation of Sqlite DB service (#4311) (nicolatimeus)
  * b8692bed07 - fix: updated target-platform to use newer version of protobuf (#4319) (G_Ivo)
  * 958938b65c - fix(wire.script.filter.provider): Fixed ScriptFilter description breaking metatype xml. (#4323) (Salvatore Coppola)
  * 6030dea82f - fix: missing reported bundle signature status in cloud requests (#4318) (Matteo Maiero)
  * 1bbe27909c - feat: high-prority messages cause re-connect (#4298) (G_Ivo)
  * 36486ebdfb - fix: asset page refreshes after deletion (#4315) (G_Ivo)
  * a6c585f581 - fix: issue when instantiating a wire component with the same name as a deleted one (#4314) (G_Ivo)
  * ab5810c6db - fix(wire.component.provider): Removed non-existent unbindWireHelperService reference. (#4313) (Salvatore Coppola)
  * b76d8384e9 - fix(web2): non-clickable dialogs in login page after GWT upgrade (#4306) (Mattia Dal Ben)
  * 11f5ed0007 - fix: web UI bug where invalid component could not be deleted. (#4310) (G_Ivo)
  * 1c3e365cef - build: Updated tycho version from 3.0.0 to 3.0.1 (#4307) (Salvatore Coppola)
  * d2176dd301 - chore(target-platform/libsocket-can-osgi): added gitignore for lib artifacts (#4304) (Marcello Rinaldo Martina)
  * 3b61720bfb - fix(docker): use Java8 toolchain in Docker Ubi8 build (#4303) (Mattia Dal Ben)
  * 9b5613af7e - build(deb-installers): added jre 17 as alternative dependencies (#4289) (Marcello Rinaldo Martina)
  * 371622f891 - docs(camel.xml): added JS init code support warning in metatype (#4302) (Marcello Rinaldo Martina)
  * 994f87c8a6 - build: Bumped netty version to 4.1.82.Final. (#4251) (Salvatore Coppola)
  * bec9909552 - chore: updated NOTICE file for new graalvm.js dependencies (#4288) (Marcello Rinaldo Martina)
  * e65b91aa1f - test: re-added nashorn components tests only for supported jdk (#4294) (Marcello Rinaldo Martina)
  * 583774b710 - deprecate: org.eclipse.kura.wire.component.conditional.provider (#4296) (Marcello Rinaldo Martina)
  * be1ea00c87 - deprecate: org.eclipse.kura.wire.script.filter.provider (#4295) (Marcello Rinaldo Martina)
  * 095aa5d281 - fix: restrict Nashorn components to supported jre (#4293) (Marcello Rinaldo Martina)
  * 68c5cad63c - feat: added wire.script.tools (#4286) (G_Ivo)
  * 67d2eb8e13 - ci: update meaning of `deprecate` commit type (#4297) (Mattia Dal Ben)
  * ca17fc91c4 - build: added nashorn conditional component only on Java 8 builds, removed TODOs and refactor of some properties (#4291) (Marcello Rinaldo Martina)
  * 2539acd9a1 - fix: wire can be instantiated again after being deleted (#4290) (G_Ivo)
  * faff74df2d - fix: Fixed CSV upload in wires composer (#4283) (nicolatimeus)
  * 123cac7053 - feat: add Java 17 support (#4206) (Marcello Rinaldo Martina)
  * 6eab62d49a - ci: Release Notes automation information improvements (#4262) (Mattia Dal Ben)
  * e4d4e5f8f6 - docs(core): Added warning about the database file path to H2DbService metatype (#4278) (Salvatore Coppola)
  * 1a63d6a6be - ci: bump amannn/action-semantic-pull-request to v5 (#4263) (Mattia Dal Ben)
  * ef25b1a830 - build(deps): updated slf4j 1.7.32 -> 1.7.36 (Marcello Martina)
  * 6e8ca91f2c - build(deps): updated GWT 2.8.2 -> 2.10.0, updated gwtbootstrap3 0.9.1 -> 1.0.1, removed IE support (Marcello Martina)
  * 4281fbf80d - build(deps): updated log4j 2.17.1 -> 2.19.0 (Marcello Martina)
  * 0f3ea72fe9 - build(deps): updated osgi.annotation 6.0.1 -> 8.1.0 (Marcello Martina)
  * 0d151c1da3 - build(deps): updated Jetty 9.4.44.v20210927 -> 9.4.49.v20220914 (Marcello Martina)
  * c16768e519 - build(deps): bump tensorflow from 2.8.1 to 2.9.3 in /kura/examples/scenarios/org.eclipse.kura.example.ai/training (#4260) (dependabot[bot])
  * aa06c8b88f - chore: added dash-licenses-snapshots plugin repo (#4255) (Marcello Rinaldo Martina)
  * fddc27126e - fix: Fixed description not shown in cloudconnections ui (#4229) (nicolatimeus)
  * 92d05eca16 - chore: Added missing example version in build.properties (#4254) (nicolatimeus)
  * c72c95aae7 - fix: updated eclipse marketplace certificate (#4250) (G_Ivo)
  * 413cb56c7e - fix(core.data.store): allow storing null payloads (#4247) (Marcello Rinaldo Martina)
  * adcf5b813a - fix: Filter out modified.interface.names property (#4242) (nicolatimeus)
  * 9947fed5f3 - fix: network configuration not updating on Jetson Nano (#4241) (Mattia Dal Ben)
  * fabe1e8a39 - build(libsocket-can-osgi): Updated version of libsocket-can (#4148) (Pierantonio Merlino)
  * 03caefbc46 - fix: Improved UI modem persist message (#4232) (Matteo Maiero)
  * 1b687ad549 - fix: Prevent discarding of NetworkConfigurationService properties (#4218) (nicolatimeus)
  * 657107fe5c - docs: fix typo in pull request template (#4228) (Mattia Dal Ben)
  * 93693a3ead - feat: Added WireAsset option for emitting values only on change (#4213) (nicolatimeus)
  * 8ba160b468 - refactor(core.deployment): add writeConfigurationFile method (#4222) (Mattia Dal Ben)
  * 9f9db22bfe - feat: added modem holdoff parameter (#4224) (Matteo Maiero)
  * 523716e808 - feat: added support for container state in inventory API (#4221) (G_Ivo)
  * f7aa5caef0 - fix: removed deprecated usages from inventory (#4220) (G_Ivo)
  * 2b45058361 - refactor(net.admin): Removed useless debug messages (#4219) (Pierantonio Merlino)
  * a2183c3736 - fix(core.deployment): prevent unnecessary modifications inside the packages folder. (#4016) (Andrej Krota)
  * 1667355e11 - build: realigned raspberry pi package names to raspberry-pi-armhf and  raspberry-pi-arm64 (#4210) (G_Ivo)
  * a195db2e3a - feat: Added connection schedule support to DataService  (#4203) (nicolatimeus)
  * 0639511932 - test: fixed intermittent test failure by extending sleep time (#4211) (G_Ivo)
  * c262318605 - docs(examples): add note about error when running training script (#4214) (Mattia Dal Ben)
  * f3123eaedb - build(deps): bump tensorflow from 2.8.0 to 2.8.1 in /kura/examples/scenarios/org.eclipse.kura.example.ai/training (#4170) (dependabot[bot])
  * bbe229b746 - chore: Added quartz to the target platform  (#4202) (nicolatimeus)
  * 6b7481cc1c - fix: failing Ubi8-based Docker image build (#4208) (Mattia Dal Ben)
  * 4f6cd7d6df - build: Added hikaricp 2.7.9 (#4201) (nicolatimeus)
  * c5d594cfd6 - deprecate(container.orchestrator): deprecated set&getPortsExternal&Internal in ContainerConfiguration & ContainerInstanceDescriptor (#4196) (G_Ivo)
  * 23e2ff1214 - build: Added org.apache.servicemix.bundles.c3p0 0.9.5.5_1 (#4198) (nicolatimeus)
  * 4d39518b79 - fix(core): Resolved database memory leak (#4199) (Salvatore Coppola)
  * 7118dd694a - feat: support diffrent internet protocols when configuring ports (#4187) (G_Ivo)
  * ef505876f3 - refactor: Removed container orchestration bundles from Docker images. (#4178) (Salvatore Coppola)
  * ba296b28ba - chore: updated moquette, selected central as source (#4175) (Matteo Maiero)
  * 8be4d1b4fe - fix: found typo in ssl service (#4195) (G_Ivo)
  * 06d37fc2d8 - fix: Improved handling of floating point values in KuraPayload JSON encoding (#4177) (nicolatimeus)
  * 58b66d8754 - fix: Removed internal usage of ConnectionInfo (#4189) (nicolatimeus)
  * 79589e791b - feat: add Temurin JDK as alternative JVM in .deb dependencies (#4190) (Mattia Dal Ben)
  * 179aa20ec0 - test(event.publisher): added unit and integration tests (#4186) (Marcello Rinaldo Martina)
  * 418d2ae891 - refactor(event.publisher): removed fragment dependency, reorganized constants (#4185) (Marcello Rinaldo Martina)
  * f08ba430c4 - test(configuration.change.manager): add config change manager tests (#4184) (Marcello Rinaldo Martina)
  * 9c52079286 - fix(linux.net): Fix dns server configuration (#4172) (Pierantonio Merlino)
  * bf27b93ef9 - chore: fix Oomph installer Sonarlint plugin repo url (#4174) (Mattia Dal Ben)
  * cc3ea18a5c - ci: fix backport job permissions for forks (#4140) (Mattia Dal Ben)
  * bf4c1c8a29 - refactor(linux.clock): Increased log level for step event not found in Chrony Sync Provider (#4137) (Salvatore Coppola)
  * 247730dc12 - chore: automated uptick to 5.3.0-SNAPSHOT (#4158) (github-actions[bot])
  * 6ca9b2181e - fix(log.filesystem.provider): prevent EOF ending incomplete lines and refactor of parser (#4144) (Marcello Rinaldo Martina)
  * 70fb6557d3 - refactor(protocol.can): Add a wrapper for the libsocket-can (#4145) (Pierantonio Merlino)
  * 41cfb5d2f4 - fix(distrib): Aligned snapshot_0.xml with iptables.init  in Intel UP2 profile. (#4136) (Salvatore Coppola)
  * 120114fbd3 - fix: org.eclipse.kura.core.net exported version internal API (#4131) (Matteo Maiero)
  * db7a131e72 - fix(core.configuration): default values of metatype are always splitted in array before parsing (#4128) (Marcello Rinaldo Martina)
  * e95926492a - fix: PPP interface number wrongly set (#4125) (Matteo Maiero)
  * 462a3577be - fix(distrib): Added missing dns & dhcp ports to the default firewall configuration (#4123) (Salvatore Coppola)
  * d7a7abf5c4 - fix(ai.triton.server): Added grpc channel termination waiting (#4122) (Salvatore Coppola)
  * 195e2750b4 - chore: Corrected org.eclipse.kura.log.filesystem.provider version (#4112) (Matteo Maiero)
  * 20ebde1d73 - style: added list to dependencies (#4117) (Matteo Maiero)
  * 1daf5a6b24 - chore: fixed bnd demo example version (#4113) (Matteo Maiero)
  * bc5f6c3c74 - fix: Fixed SSLManager service truststore unset method (#4118) (nicolatimeus)
  * 779be45f9b - fix: added missing db dependency in dev-env (#4115) (Matteo Maiero)
